1002:9613 [Toshiba Satellite L305D-S5959] overheats computer

Bug #557829 reported by djchandler on 2010-04-08
62
This bug affects 11 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-ati (Ubuntu)
Undecided
Unassigned
Nominated for Vivid by Alberto Salvia Novella

Bug Description

Binary package hint: xserver-xorg-video-ati

Lucid Lynx 10.04 AMD64 Beta 1

xserver-xorg-video-radeon 1:6.12.192-2ubuntu2
xserver-xorg-video-ati 1:6.12.192-2ubuntu2

AMD AthlonTM X2 Dual-Core QL-65 @ 2.1GHz (running stock speed, Cool 'n' Quiet working, cpu frequency regulation in kerenel is working, idles @ 1.05GHz but temperature still goes up)
AMD M780V Chipset
ATI Radeon 3100 IGP (RV610)
720P video native support (I suppose that means hardware implemented)

Laptop (Toshiba L305D-S5959) overheats when running open source driver. Idles at around 70°C at room temperature of ~22°C, have BIOS set to shutdown at 95°C to avoid hardware damage. Computer will shut itself off due to temperature under moderate load such as viewing flash video in Firefox on hulu.com. This has been repeated at least 3 times.

Running the proprietary fglrx driver 2:8.721-0ubuntu7 (with no other software changes), the computer idles @ 45°C (20°C cooler) at room temperature of ~22°C. Watching video on hulu.com does not cause overheating issues.

This is something that could damage computers. If it's under warranty but Ubuntu is found on the hard drive the manufacturer will probably void the warranty. I certainly don't want Ubuntu to get that kind of reputation.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: xserver-xorg-video-ati 1:6.12.192-2ubuntu2
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-19-generic x86_64
NonfreeKernelModules: fglrx
Architecture: amd64
Date: Wed Apr 7 23:42:01 2010
DkmsStatus: fglrx, 8.721, 2.6.32-19-generic, x86_64: installed
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
MachineType: TOSHIBA Satellite L305D
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-19-generic root=UUID=12291b72-5e88-486e-a7e6-60a57bdeefed ro splash quiet vga=786 quiet splash
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: xserver-xorg-video-ati
dmi.bios.date: 09/01/2009
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: 1.80
dmi.board.asset.tag: No Asset Tag
dmi.board.name: Portable PC
dmi.board.vendor: TOSHIBA
dmi.board.version: Base Board Version
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: AMD
dmi.chassis.version: None
dmi.modalias: dmi:bvnInsydeCorp.:bvr1.80:bd09/01/2009:svnTOSHIBA:pnSatelliteL305D:pvrPSLC8U-06P01W:rvnTOSHIBA:rnPortablePC:rvrBaseBoardVersion:cvnAMD:ct10:cvrNone:
dmi.product.name: Satellite L305D
dmi.product.version: PSLC8U-06P01W
dmi.sys.vendor: TOSHIBA
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32-19-generic

[lspci]
00:00.0 Host bridge [0600]: Advanced Micro Devices [AMD] RS780 Host Bridge [1022:9600]
 Subsystem: Toshiba America Info Systems Device [1179:ff6a]
01:05.0 VGA compatible controller [0300]: ATI Technologies Inc RS780MC [Radeon HD 3100 Graphics] [1002:9613]
 Subsystem: Toshiba America Info Systems Device [1179:ff6a]

djchandler (djchandler) wrote :
Bryce Harrington (bryce) on 2010-04-09
Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) wrote :

[This defect report looks appropriate to send upstream]

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
Download full text (3.1 KiB)

Forwarding this bug from Ubuntu reporter djchandler:
http://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/557829

[Problem]
Laptop overheads with the -ati driver, idling at 70°C and shutting down with moderate load. Overheating does not occur with -fglrx driver.

[Original Description]
Lucid Lynx 10.04 AMD64 Beta 1

xserver-xorg-video-radeon 1:6.12.192-2ubuntu2
xserver-xorg-video-ati 1:6.12.192-2ubuntu2

AMD AthlonTM X2 Dual-Core QL-65 @ 2.1GHz (running stock speed, Cool 'n' Quiet working, cpu frequency regulation in kernel is working, idles @ 1.05GHz but temperature still goes up)
AMD M780V Chipset
ATI Radeon 3100 IGP (RV610)
720P video native support (I suppose that means hardware implemented)

Laptop (Toshiba L305D-S5959) overheats when running open source driver. Idles at around 70°C at room temperature of ~22°C, have BIOS set to shutdown at 95°C to avoid hardware damage. Computer will shut itself off due to temperature under moderate load such as viewing flash video in Firefox on hulu.com. This has been repeated at least 3 times.

Running the proprietary fglrx driver 2:8.721-0ubuntu7 (with no other software changes), the computer idles @ 45°C (20°C cooler) at room temperature of ~22°C. Watching video on hulu.com does not cause overheating issues.

This is something that could damage computers. If it's under warranty but Ubuntu is found on the hard drive the manufacturer will probably void the warranty. I certainly don't want Ubuntu to get that kind of reputation.

DistroRelease: Ubuntu 10.04
Package: xserver-xorg-video-ati 1:6.12.192-2ubuntu2
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-19-generic x86_64
NonfreeKernelModules: fglrx
Architecture: amd64
Date: Wed Apr 7 23:42:01 2010
DkmsStatus: fglrx, 8.721, 2.6.32-19-generic, x86_64: installed
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
MachineType: TOSHIBA Satellite L305D
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-19-generic root=UUID=12291b72-5e88-486e-a7e6-60a57bdeefed ro splash quiet vga=786 quiet splash
ProcEnviron:
 LANG=en_US.utf8SourcePackage: xserver-xorg-video-ati
dmi.bios.date: 09/01/2009
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: 1.80
dmi.board.asset.tag: No Asset Tag
dmi.board.name: Portable PC
dmi.board.vendor: TOSHIBA
dmi.board.version: Base Board Version
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: AMD
dmi.chassis.version: None
dmi.modalias: dmi:bvnInsydeCorp.:bvr1.80:bd09/01/2009:svnTOSHIBA:pnSatelliteL305D:pvrPSLC8U-06P01W:rvnTOSHIBA:rnPortablePC:rvrBaseBoardVersion:cvnAMD:ct10:cvrNone:
dmi.product.name: Satellite L305D
dmi.product.version: PSLC8U-06P01W
dmi.sys.vendor: TOSHIBA
glxinfo: Error: [Errno 2] No such file or directory
system: codename: lucid
 architecture: x86_64
 kernel: 2.6.32-19-generic

[lspci]
00:00.0 Host bridge [0600]: Advanced Micro Devices [AMD] RS780 Host Bridge [1022:9600]
 Subsystem: Toshiba America Info Systems Device [1179:ff6a]
01:05.0 VGA compatible controller [0300]: ATI Technologies Inc RS780MC [Radeon HD 3100 Graphics] [1002:9613]
 Subsystem: Toshiba America Info Systems Device [1179:ff6a...

Read more...

Created an attachment (id=35106)
XorgLogOld.txt - with -ati

Created an attachment (id=35107)
XorgLog.txt - with -fglrx

Created an attachment (id=35108)
BootDmesg.txt

Created an attachment (id=35109)
CurrentDmesg.txt

(In reply to comment #0)

I'm the original filer of this report on ubuntu.launchpad.org.

If anyone wants more information, please feel free to contact me or make requests here. This problem was encountered yet again today while doing a fresh install of the Ubuntu 10.04 Beta 2. This bug is easy to reproduce on a laptop.

Bryce Harrington (bryce) on 2010-04-16
description: updated
summary: - xserver-xorg-video-ati - overheats computer
+ [RS780MC] overheats computer

djchandler - I've forwarded this bug upstream to http://bugs.freedesktop.org/show_bug.cgi?id=27705 - please subscribe yourself to this bug, in case they need further information or wish you to test something. Thanks ahead of time!

Can you attach a copy of your vbios? to get it (as root):
cd /sys/bus/pci/devices/<pci bus id>
echo 1 > rom
cat rom > /tmp/vbios.rom
echo 0 > rom

Can you confirm that the laptop fan is working properly? Often the CPU/GPU fan is controlled via ACPI.

Glad to see this bug has been reported. Same model laptop and having the overheating problems. Also, the graphics do not perform as well as they do...wondering if it is related to this same issue. Downgrading to Karmic Koala meanwhile...

hpis2cool (hpis2cool) wrote :

Ahhh just saw that this IS a bug with the ati driver, so yes...I imagine that this is the same thing causing graphics not to function as well as they should....I sure hope they fix this in time for the final release.

Bryce Harrington (bryce) wrote :

djchandler, upstream has some questions for you - mind following up with Alex on the upstream bug report?

http://bugs.freedesktop.org/show_bug.cgi?id=27705

I can confirm this bug on Ubuntu 10.04 Final, with

xserver-xorg 1:7.5+5ubuntu1,
xserver-xorg-core 2:1.7.6-2ubuntu7,
xserver-xorg-video-ati 1:6.13.0-1ubuntu5.

The heatspreader of my (passively cooled) Sapphire Radeon HD4350 (RV710) has a significantly higher temperature than with the proprietary fglrx driver. Unfortunately, I have no option to measure the temperature exactly (e.g., acpi -t has no effect on my system), but there are some additional measurements here:

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/488152/comments/6

What is the current status on this bug? It's a verious serious and dangerous bug that can destroy people's computers and Ubuntu can't afford to have this kind of reputation.

hpis2cool (hpis2cool) wrote :

*very serious, haha.

I'm also affected by this bug.

This is my original bug report downstream:

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/595335

Binary package hint: xserver-xorg-video-ati

When I'm doing a demanding CPU activity (ripping a CD, doing OCR, etc), the computer shuts itself down due to overheating (more than 99 C).

I've tried running sudo sensors-detect but no modules were loaded.

I've also tried booting with option "acpi.power_nocheck", but to no use.

I've also tried adding options radeon modeset=1 to /etc/modprobe.d/radeon-kms.conf.

Lastly, I updated my BIOS from the vendor's webpage, but it didn't help either.

This only happens while I'm on the open-source ATI drivers. When I tried the proprietary fglrx drivers, I wasn't able to reproduce it.

See also: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/557829

and https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/373669

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: xserver-xorg-video-ati 1:6.13.0-1ubuntu5
ProcVersionSignature: Ubuntu 2.6.32-23.37-generic 2.6.32.15+drm33.5
Uname: Linux 2.6.32-23-generic i686
Architecture: i386
Date: Wed Jun 16 21:03:26 2010
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
MachineType: Acer Aspire 5542
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-23-generic root=UUID=261f9489-5351-4e83-94f0-d5aa3a52907b ro quiet splash
ProcEnviron:
 LC_TIME=en_GB.UTF-8
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: xserver-xorg-video-ati
dmi.bios.date: 12/09/2009
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V1.08
dmi.board.name: JV50TR
dmi.board.vendor: Acer
dmi.board.version: Rev
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: None
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV1.08:bd12/09/2009:svnAcer:pnAspire5542:pvr0100:rvnAcer:rnJV50TR:rvrRev:cvnAcer:ct10:cvrNone:
dmi.product.name: Aspire 5542
dmi.product.version: 0100
dmi.sys.vendor: Acer
system:
 distro: Ubuntu
 codename: lucid
 architecture: i686
 kernel: 2.6.32-23-generic

The situation should be greatly improved in kernel 2.6.35. See http://www.phoronix.com/scan.php?page=news_item&px=ODE5Mg and http://www.phoronix.com/scan.php?page=news_item&px=ODIyOA

This kernel is being used in the upcoming Ubuntu 10.10 "Maverick Meerkat". If you want to try this on Ubuntu 10.04 "Lucid Lynx", a PPA of kernel 2.6.35-rc6 can be found at http://kernel.ubuntu.com/~kernel-ppa/mainline/

The final version of kernel 2.6.35 should be available soon.

Changed in xserver-xorg-driver-ati:
importance: Unknown → High
status: Unknown → Confirmed
Changed in xserver-xorg-driver-ati:
importance: High → Unknown
Changed in xserver-xorg-driver-ati:
importance: Unknown → High
Gytis Raciukaitis (noxxious) wrote :

This is still valid for natty and is critical at least on my machine as the stock Ubuntu would not last even for 30 minutes under the load. Reading through the web I saw this actually helping in the /etc/rc.local:

#echo dynpm > /sys/class/drm/card0/device/power_method
echo profile > /sys/class/drm/card0/device/power_method
echo auto > /sys/class/drm/card0/device/power_profile

I tried dynpm, but that does not help. Using profiles is more stable and allows to work.

Gytis Raciukaitis (noxxious) wrote :

Any updates on this issue ?

Hoang Nguyen (hoangkent) wrote :

This bug affected me too. I got my Natty beta 1 fresh installed yesterday, at first I feel my hardware become hotter than they are in Maverick. As lm-sensors results, CPU temp is now around 64-70 and GPU is around 70-72 at idle, this kills my hand. I think this is about Unity 3D related issue.

Specs:
Dell Studio XPS 1645
ATI HD 4670
i7 Q720M

Hoang Nguyen (hoangkent) wrote :

Opps sorry wrong post

Bryce Harrington (bryce) wrote :

Here's what upstream has told me about this bug:

> 557829  27705   RS780  Overheats computer

I suppose the new radeon pm stuff I'm working on should help. The
oem's are supposed to design the system to deal with the default
clocks, but it appears perhaps they have not. This also might be an
acpi issue. It's likely the oem uses a acpi controlled fan for both
the GPU and CPU so the fan control is out of our control. I've
updated the comments. My latest pm patches are here:
http://people.freedesktop.org/~agd5f/pm3/
you can either enable dynpm (where the driver changes the engine clock
on the fly) or you can manually set a lower power mode. Hopefully we
can get a preliminary version in for 2.6.35. As an alternative which
may also be useful in other cases, I've attached a patch to disable
acceleration in the drm. This should keep temperatures down as it
doesn't use the engine. It may also be useful for some of the other
bugs with accel/gart related issues. It uses shadowfb when X starts,
so performance is pretty good. Basically boot with radeon.accel=0 to
disable accel.

djchandler, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

If reproducible, could you also please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc6

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

summary: - [RS780MC] overheats computer
+ 1002:9613 [Toshiba Satellite L305D-S5959] overheats computer
affects: xserver-xorg-video-ati (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: High → Medium
status: Triaged → Incomplete
tags: added: latest-bios-1.80 needs-upstream-testing regression-potential

Ubuntu 15.04 is overheating laptops. Both laptops at home powers off, and both have different graphic adapters.

One of them was working fine under Ubuntu 14.10, is mostly new from Toshiba, and uses Intel integrated graphics which presumably doesn't overheat too much compared with AMD and NVIDIA ones.

Even when the CPU is set to a lower energy state and thermald is installed, the problem still persist. After reading various questions about this issue in AskUbuntu.com I greatly suspect this is a major issue with plenty of laptops.

tags: added: trusty vivid
Changed in linux (Ubuntu):
status: Incomplete → Triaged
importance: Medium → Critical
madbiologist (me-again) wrote :

Alberto Salvia Novella - As you have different hardware, please run ubuntu-bug to file new bug reports (one for each laptop) so that we can get your system information and a set of log files.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Yo (yleduc) on 2015-09-21
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get dist-upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.19.0-15.15
Changed in linux (Ubuntu):
importance: Critical → High
no longer affects: linux (Ubuntu)
affects: xserver-xorg-driver-ati → xserver-xorg-video-ati (Ubuntu)
Changed in xserver-xorg-video-ati (Ubuntu):
importance: High → Undecided
status: Confirmed → New
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.